<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>Corpus</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Corpus";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Corpus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Corpus.html" target="_top">Frames</a></li>
<li><a href="Corpus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.corpus</div>
<h2 title="Class Corpus" class="title">Class Corpus</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.corpus.Corpus</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Corpus</span>
extends com.mongodb.ReflectionDBObject</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#documents">documents</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#documentsMapped">documentsMapped</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#externId">externId</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#name">name</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#outputFormat">outputFormat</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#owner">owner</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#path">path</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#resultFiles">resultFiles</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#status">status</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#tasksId">tasksId</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#templateDispatchConfFilepath">templateDispatchConfFilepath</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#templateEndHandlerFilepath">templateEndHandlerFilepath</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#Corpus()">Corpus</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#analyseLog()">analyseLog</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#clean()">clean</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#convert()">convert</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.io.File</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#createArchiveDestDir(java.io.File)">createArchiveDestDir</a></strong>(java.io.File&nbsp;archive)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#createConfiguration()">createConfiguration</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#CreateCorpus(com.mongodb.BasicDBObject)">CreateCorpus</a></strong>(com.mongodb.BasicDBObject&nbsp;corpusInfos)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#defaultAnalysisTaskDefine()">defaultAnalysisTaskDefine</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#delete()">delete</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#deleteDocuments()">deleteDocuments</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#deleteTasks()">deleteTasks</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#depExtraction()">depExtraction</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#estimateTimeRequired()">estimateTimeRequired</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#export()">export</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getAnnotatedDocument(java.lang.String)">getAnnotatedDocument</a></strong>(java.lang.String&nbsp;did)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDefaultTaskInfo()">getDefaultTaskInfo</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentFromPath(java.lang.String)">getDocumentFromPath</a></strong>(java.lang.String&nbsp;filename)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentList()">getDocumentList</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentList(java.lang.String,%20java.lang.Object)">getDocumentList</a></strong>(java.lang.String&nbsp;dirPath,
               java.lang.Object&nbsp;jsonResource)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getdocuments()">getdocuments</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getexternId()">getexternId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getGraph(java.lang.String,%20java.lang.String,%20java.lang.String,%20com.mongodb.BasicDBList)">getGraph</a></strong>(java.lang.String&nbsp;did,
        java.lang.String&nbsp;ts,
        java.lang.String&nbsp;te,
        com.mongodb.BasicDBList&nbsp;slist)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getGraphFilePath(java.lang.String,%20java.lang.String,%20java.lang.String)">getGraphFilePath</a></strong>(java.lang.String&nbsp;did,
                java.lang.String&nbsp;sid,
                java.lang.String&nbsp;vid)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getname()">getname</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getoutputFormat()">getoutputFormat</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getpath()">getpath</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getReport()">getReport</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getresultFiles()">getresultFiles</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getstatus()">getstatus</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#getTaskOutput(java.lang.String,%20java.lang.String,%20boolean)">getTaskOutput</a></strong>(java.lang.String&nbsp;taskindex,
             java.lang.String&nbsp;taskunitindex,
             boolean&nbsp;errfile)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#gettasksId()">gettasksId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#index()">index</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#initTasks()">initTasks</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#isdocumentsMapped()">isdocumentsMapped</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#isPublic()">isPublic</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#raw2dag()">raw2dag</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#Retrieve(java.lang.String)">Retrieve</a></strong>(java.lang.String&nbsp;objectId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#RetrieveFromExternalID(java.lang.String)">RetrieveFromExternalID</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#RetrieveFromName(java.lang.String)">RetrieveFromName</a></strong>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#retrieveResults()">retrieveResults</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#retrieveTermExtractionResults()">retrieveTermExtractionResults</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#runDefaultAnalysis()">runDefaultAnalysis</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#save()">save</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#saveDocuments()">saveDocuments</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#saveDocumentsSub(java.lang.String,%20java.util.HashMap)">saveDocumentsSub</a></strong>(java.lang.String&nbsp;dirPath,
                java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;&nbsp;jsonResource)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#search(java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String)">search</a></strong>(java.lang.String&nbsp;queryInput,
      java.lang.String&nbsp;searchType,
      java.lang.String&nbsp;from,
      java.lang.String&nbsp;max,
      java.lang.String&nbsp;did,
      java.lang.String&nbsp;export)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#searchSID(java.lang.String[],%20java.lang.Integer,%20java.lang.String,%20java.lang.String)">searchSID</a></strong>(java.lang.String[]&nbsp;sids,
         java.lang.Integer&nbsp;from,
         java.lang.String&nbsp;did,
         java.lang.String&nbsp;export)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setdocuments(com.mongodb.BasicDBObject)">setdocuments</a></strong>(com.mongodb.BasicDBObject&nbsp;documents)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setdocumentsMapped(boolean)">setdocumentsMapped</a></strong>(boolean&nbsp;documentsMapped)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setexternId(java.lang.String)">setexternId</a></strong>(java.lang.String&nbsp;externId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setname(java.lang.String)">setname</a></strong>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setoutputFormat(java.lang.String)">setoutputFormat</a></strong>(java.lang.String&nbsp;outputFormat)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setpath(java.lang.String)">setpath</a></strong>(java.lang.String&nbsp;path)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setresultFiles(com.mongodb.BasicDBList)">setresultFiles</a></strong>(com.mongodb.BasicDBList&nbsp;resultFiles)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#setstatus(java.lang.String)">setstatus</a></strong>(java.lang.String&nbsp;status)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#settasksId(com.mongodb.BasicDBList)">settasksId</a></strong>(com.mongodb.BasicDBList&nbsp;tasksId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#startTask(int,%20com.mongodb.BasicDBObject)">startTask</a></strong>(int&nbsp;taskindex,
         com.mongodb.BasicDBObject&nbsp;options)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#termExtraction()">termExtraction</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#unpack()">unpack</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#unpack(java.io.File)">unpack</a></strong>(java.io.File&nbsp;dir)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#unpackArchive(java.io.File)">unpackArchive</a></strong>(java.io.File&nbsp;archive)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html#validate()">validate</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="templateDispatchConfFilepath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>templateDispatchConfFilepath</h4>
<pre>public static&nbsp;java.lang.String templateDispatchConfFilepath</pre>
</li>
</ul>
<a name="templateEndHandlerFilepath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>templateEndHandlerFilepath</h4>
<pre>public static&nbsp;java.lang.String templateEndHandlerFilepath</pre>
</li>
</ul>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;java.lang.String name</pre>
</li>
</ul>
<a name="owner">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>owner</h4>
<pre>public&nbsp;java.lang.String owner</pre>
</li>
</ul>
<a name="path">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>path</h4>
<pre>public&nbsp;java.lang.String path</pre>
</li>
</ul>
<a name="tasksId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tasksId</h4>
<pre>public&nbsp;com.mongodb.BasicDBList tasksId</pre>
</li>
</ul>
<a name="externId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>externId</h4>
<pre>public&nbsp;java.lang.String externId</pre>
</li>
</ul>
<a name="status">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>status</h4>
<pre>public&nbsp;java.lang.String status</pre>
</li>
</ul>
<a name="outputFormat">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>outputFormat</h4>
<pre>public&nbsp;java.lang.String outputFormat</pre>
</li>
</ul>
<a name="documents">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>documents</h4>
<pre>private&nbsp;com.mongodb.BasicDBObject documents</pre>
</li>
</ul>
<a name="documentsMapped">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>documentsMapped</h4>
<pre>public&nbsp;boolean documentsMapped</pre>
</li>
</ul>
<a name="resultFiles">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resultFiles</h4>
<pre>private&nbsp;com.mongodb.BasicDBList resultFiles</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Corpus()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Corpus</h4>
<pre>public&nbsp;Corpus()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getresultFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getresultFiles</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getresultFiles()</pre>
</li>
</ul>
<a name="setresultFiles(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setresultFiles</h4>
<pre>public&nbsp;void&nbsp;setresultFiles(com.mongodb.BasicDBList&nbsp;resultFiles)</pre>
</li>
</ul>
<a name="getoutputFormat()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getoutputFormat</h4>
<pre>public&nbsp;java.lang.String&nbsp;getoutputFormat()</pre>
</li>
</ul>
<a name="setoutputFormat(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setoutputFormat</h4>
<pre>public&nbsp;void&nbsp;setoutputFormat(java.lang.String&nbsp;outputFormat)</pre>
</li>
</ul>
<a name="isdocumentsMapped()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isdocumentsMapped</h4>
<pre>public&nbsp;boolean&nbsp;isdocumentsMapped()</pre>
</li>
</ul>
<a name="setdocumentsMapped(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setdocumentsMapped</h4>
<pre>public&nbsp;void&nbsp;setdocumentsMapped(boolean&nbsp;documentsMapped)</pre>
</li>
</ul>
<a name="getdocuments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getdocuments</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getdocuments()</pre>
</li>
</ul>
<a name="setdocuments(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setdocuments</h4>
<pre>public&nbsp;void&nbsp;setdocuments(com.mongodb.BasicDBObject&nbsp;documents)</pre>
</li>
</ul>
<a name="getpath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getpath</h4>
<pre>public&nbsp;java.lang.String&nbsp;getpath()</pre>
</li>
</ul>
<a name="setpath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setpath</h4>
<pre>public&nbsp;void&nbsp;setpath(java.lang.String&nbsp;path)</pre>
</li>
</ul>
<a name="getname()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getname()</pre>
</li>
</ul>
<a name="setname(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setname</h4>
<pre>public&nbsp;void&nbsp;setname(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="getexternId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getexternId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getexternId()</pre>
</li>
</ul>
<a name="setexternId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setexternId</h4>
<pre>public&nbsp;void&nbsp;setexternId(java.lang.String&nbsp;externId)</pre>
</li>
</ul>
<a name="gettasksId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gettasksId</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;gettasksId()</pre>
</li>
</ul>
<a name="settasksId(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>settasksId</h4>
<pre>public&nbsp;void&nbsp;settasksId(com.mongodb.BasicDBList&nbsp;tasksId)</pre>
</li>
</ul>
<a name="getstatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getstatus</h4>
<pre>public&nbsp;java.lang.String&nbsp;getstatus()</pre>
</li>
</ul>
<a name="setstatus(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setstatus</h4>
<pre>public&nbsp;void&nbsp;setstatus(java.lang.String&nbsp;status)</pre>
</li>
</ul>
<a name="CreateCorpus(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CreateCorpus</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;CreateCorpus(com.mongodb.BasicDBObject&nbsp;corpusInfos)</pre>
</li>
</ul>
<a name="validate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;validate()</pre>
</li>
</ul>
<a name="RetrieveFromExternalID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RetrieveFromExternalID</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;RetrieveFromExternalID(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="RetrieveFromName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RetrieveFromName</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;RetrieveFromName(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="Retrieve(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Retrieve</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a>&nbsp;Retrieve(java.lang.String&nbsp;objectId)</pre>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()</pre>
</li>
</ul>
<a name="deleteTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteTasks</h4>
<pre>private&nbsp;void&nbsp;deleteTasks()</pre>
</li>
</ul>
<a name="initTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initTasks</h4>
<pre>private&nbsp;void&nbsp;initTasks()</pre>
</li>
</ul>
<a name="defaultAnalysisTaskDefine()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultAnalysisTaskDefine</h4>
<pre>private&nbsp;java.lang.String&nbsp;defaultAnalysisTaskDefine()</pre>
</li>
</ul>
<a name="startTask(int, com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startTask</h4>
<pre>public&nbsp;void&nbsp;startTask(int&nbsp;taskindex,
             com.mongodb.BasicDBObject&nbsp;options)</pre>
</li>
</ul>
<a name="clean()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clean</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;clean()
                         throws java.io.IOException,
                                java.lang.InterruptedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="unpack()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unpack</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;unpack()
                          throws java.io.IOException,
                                 java.lang.InterruptedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="unpack(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unpack</h4>
<pre>private&nbsp;java.lang.String[]&nbsp;unpack(java.io.File&nbsp;dir)
                           throws java.io.IOException,
                                  java.lang.InterruptedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="unpackArchive(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unpackArchive</h4>
<pre>private&nbsp;java.lang.String[]&nbsp;unpackArchive(java.io.File&nbsp;archive)
                                  throws java.io.IOException,
                                         java.lang.InterruptedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="createArchiveDestDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArchiveDestDir</h4>
<pre>private&nbsp;java.io.File&nbsp;createArchiveDestDir(java.io.File&nbsp;archive)
                                   throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="convert()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;convert()
                           throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="export()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>export</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;export()
                          throws java.io.IOException,
                                 com.jcraft.jsch.JSchException,
                                 java.lang.InterruptedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>com.jcraft.jsch.JSchException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="raw2dag()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>raw2dag</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;raw2dag()
                           throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="createConfiguration()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConfiguration</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;createConfiguration()
                                       throws java.io.IOException,
                                              java.lang.InterruptedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd></dl>
</li>
</ul>
<a name="estimateTimeRequired()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estimateTimeRequired</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a>&nbsp;estimateTimeRequired()</pre>
</li>
</ul>
<a name="runDefaultAnalysis()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>runDefaultAnalysis</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;runDefaultAnalysis()
                                      throws com.jcraft.jsch.JSchException,
                                             java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>com.jcraft.jsch.JSchException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="analyseLog()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>analyseLog</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;analyseLog()</pre>
</li>
</ul>
<a name="termExtraction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>termExtraction</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;termExtraction()</pre>
</li>
</ul>
<a name="depExtraction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>depExtraction</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;depExtraction()</pre>
</li>
</ul>
<a name="getDefaultTaskInfo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultTaskInfo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDefaultTaskInfo()</pre>
</li>
</ul>
<a name="getTaskOutput(java.lang.String, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaskOutput</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTaskOutput(java.lang.String&nbsp;taskindex,
                             java.lang.String&nbsp;taskunitindex,
                             boolean&nbsp;errfile)</pre>
</li>
</ul>
<a name="getReport()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReport</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;getReport()
                             throws com.jcraft.jsch.JSchException,
                                    java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>com.jcraft.jsch.JSchException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="retrieveTermExtractionResults()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retrieveTermExtractionResults</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;retrieveTermExtractionResults()</pre>
</li>
</ul>
<a name="retrieveResults()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retrieveResults</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;retrieveResults()</pre>
</li>
</ul>
<a name="getGraphFilePath(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphFilePath</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGraphFilePath(java.lang.String&nbsp;did,
                                java.lang.String&nbsp;sid,
                                java.lang.String&nbsp;vid)</pre>
</li>
</ul>
<a name="getAnnotatedDocument(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnnotatedDocument</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAnnotatedDocument(java.lang.String&nbsp;did)</pre>
</li>
</ul>
<a name="getGraph(java.lang.String, java.lang.String, java.lang.String, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraph</h4>
<pre>public&nbsp;java.lang.String&nbsp;getGraph(java.lang.String&nbsp;did,
                        java.lang.String&nbsp;ts,
                        java.lang.String&nbsp;te,
                        com.mongodb.BasicDBList&nbsp;slist)</pre>
</li>
</ul>
<a name="getDocumentList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentList</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDocumentList()
                                 throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getDocumentList(java.lang.String, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentList</h4>
<pre>public&nbsp;void&nbsp;getDocumentList(java.lang.String&nbsp;dirPath,
                   java.lang.Object&nbsp;jsonResource)
                     throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getDocumentFromPath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentFromPath</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;getDocumentFromPath(java.lang.String&nbsp;filename)</pre>
</li>
</ul>
<a name="searchSID(java.lang.String[], java.lang.Integer, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchSID</h4>
<pre>public&nbsp;java.lang.String&nbsp;searchSID(java.lang.String[]&nbsp;sids,
                         java.lang.Integer&nbsp;from,
                         java.lang.String&nbsp;did,
                         java.lang.String&nbsp;export)</pre>
</li>
</ul>
<a name="search(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>search</h4>
<pre>public&nbsp;java.lang.String&nbsp;search(java.lang.String&nbsp;queryInput,
                      java.lang.String&nbsp;searchType,
                      java.lang.String&nbsp;from,
                      java.lang.String&nbsp;max,
                      java.lang.String&nbsp;did,
                      java.lang.String&nbsp;export)</pre>
</li>
</ul>
<a name="saveDocuments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveDocuments</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;saveDocuments()
                                        throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="saveDocumentsSub(java.lang.String, java.util.HashMap)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveDocumentsSub</h4>
<pre>public&nbsp;void&nbsp;saveDocumentsSub(java.lang.String&nbsp;dirPath,
                    java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;&nbsp;jsonResource)
                      throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="index()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>index</h4>
<pre>public&nbsp;java.lang.String&nbsp;index()</pre>
</li>
</ul>
<a name="deleteDocuments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteDocuments</h4>
<pre>private&nbsp;void&nbsp;deleteDocuments()</pre>
</li>
</ul>
<a name="delete()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre>public&nbsp;void&nbsp;delete()</pre>
</li>
</ul>
<a name="isPublic()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isPublic</h4>
<pre>public&nbsp;boolean&nbsp;isPublic()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Corpus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/Corpus.html" target="_top">Frames</a></li>
<li><a href="Corpus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
